package org.chenyang.http.conn;

import org.chenyang.http.HttpInetConnection;
import org.chenyang.http.conn.routing.HttpRoute;
import javax.net.ssl.SSLSession;

/** @deprecated */
@Deprecated
public interface HttpRoutedConnection extends HttpInetConnection {
   boolean isSecure();

   HttpRoute getRoute();

   SSLSession getSSLSession();
}
